---
title: BigInt.prototype.toLocaleString()
slug: Web/JavaScript/Reference/Global_Objects/BigInt/toLocaleString
tags:
  - BigInt
  - Internationalization
  - Intl
  - JavaScript
  - Method
  - Prototype
---
<div>{{JSRef}}</div>

<p>The <strong><code>toLocaleString()</code></strong> method returns a string with a language-sensitive representation of this BigInt.</p>

<div>{{EmbedInteractiveExample("pages/js/bigint-tolocalestring.html")}}</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><code><em>bigIntObj</em>.toLocaleString(</code><code>[locales [, options]])</code></pre>

<h3 id="Parameters">Parameters</h3>

<p>The <code>locales</code> and <code>options</code> arguments customize the behavior of the function and let applications specify the language whose formatting conventions should be used. In implementations that ignore the <code>locales</code> and <code>options</code> arguments, the locale used and the form of the string returned are entirely implementation-dependent.</p>

<div>See the <a href="/en-US/docs/Web/JavaScript/Reference/Global_Objects/NumberFormat/NumberFormat"><code>Intl.NumberFormat()</code> constructor</a> for details on these parameters and how to use them.</div>

<h3 id="Return_value">Return value</h3>

<p>A string with a language-sensitive representation of the given BigInt.</p>

<h2 id="Performance">Performance</h2>

<p>When formatting large numbers of numbers, it is better to create a {{jsxref("NumberFormat")}} object and use the function provided by its {{jsxref("NumberFormat.format")}} property.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_toLocaleString">Using <code>toLocaleString</code></h3>

<p>In basic use without specifying a locale, a formatted string in the default locale and with default options is returned.</p>

<pre class="brush: js">var bigint = 3500n;

bigint.toLocaleString();
// Displays "3,500" if in U.S. English locale
</pre>

<h3 id="Using_locales">Using <code>locales</code></h3>

<p>This example shows some of the variations in localized number formats. In order to get the format of the language used in the user interface of your application, make sure to specify that language (and possibly some fallback languages) using the <code>locales</code> argument:</p>

<pre class="brush: js">var bigint = 123456789123456789n;

// German uses period for thousands
console.log(bigint.toLocaleString('de-DE'));
// → 123.456.789.123.456.789

// Arabic in most Arabic speaking countries uses <a href="https://en.wikipedia.org/wiki/Eastern_Arabic_numerals">Eastern Arabic</a> digits
console.log(bigint.toLocaleString('ar-EG'));
// → ١٢٣٬٤٥٦٬٧٨٩٬١٢٣٬٤٥٦٬٧٨٩

// India uses thousands/lakh/crore separators
console.log(bigint.toLocaleString('en-IN'));
// → 1,23,45,67,89,12,34,56,789

// the nu extension key requests a numbering system, e.g. Chinese decimal
console.log(bigint.toLocaleString('zh-Hans-CN-u-nu-hanidec'));
// → 一二三,四五六,七八九,一二三,四五六,七八九

// when requesting a language that may not be supported, such as
// Balinese, include a fallback language, in this case Indonesian
console.log(bigint.toLocaleString(['ban', 'id']));
// → 123.456.789.123.456.789
</pre>

<h3 id="Using_options">Using <code>options</code></h3>

<p>The results provided by <code>toLocaleString</code> can be customized using the <code>options</code> argument:</p>

<pre class="brush: js">var bigint = 123456789123456789n;

// request a currency format
console.log(bigint.toLocaleString('de-DE', { style: 'currency', currency: 'EUR' }));
// → 123.456.789.123.456.789,00 €

// the Japanese yen doesn't use a minor unit
console.log(bigint.toLocaleString('ja-JP', { style: 'currency', currency: 'JPY' }))
// → ￥123,456,789,123,456,789

// limit to three significant digits
console.log(bigint.toLocaleString('en-IN', { maximumSignificantDigits: 3 }));
// → 1,23,00,00,00,00,00,00,000
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
  </tr>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-bigint.prototype.tolocalestring', 'BigInt.prototype.toLocaleString()')}}</td>
  </tr>
  <tr>
   <td>{{SpecName('ES Int Draft', '#sup-bigint.prototype.tolocalestring', 'BigInt.prototype.toLocaleString()')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("javascript.builtins.BigInt.toLocaleString")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("BigInt.toString()")}}</li>
</ul>
